Package ru.bitel.oss.systems.inventory.product.common.bean

# Class ProductOfferingActivationMode

java.lang.Object
ru.bitel.oss.systems.inventory.product.common.bean.ProductOfferingActivationMode

All Implemented Interfaces:
  `GuiTitlable`

public class ProductOfferingActivationMode extends Object implements GuiTitlable

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ProductOfferingActivationMode.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProductOfferingActivationMode()`
  `ProductOfferingActivationMode(ProductSpecActivationMode productSpecActivationMode, BigDecimal price)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ProductOfferingActivationMode.Builder`
  `builder()`
  `static ProductOfferingActivationMode.Builder`
  `builder(ProductOfferingActivationMode productOfferingActivationMode)`
  `BigDecimal`
  `getActivationPrice()`
  `String`
  `getGuiTitle()`
  Строка - имя объекта.
  `int`
  `getPeriodAmount()`
  `int`
  `getPeriodMode()`
  `BigDecimal`
  `getPrice()`
  `String`
  `getPricePeriodString()`
  `String`
  `getPriceString()`
  `ProductSpecActivationMode`
  `getProductSpecActivationMode()`
  `void`
  `setActivationPrice(BigDecimal activationPrice)`
  `void`
  `setPeriodAmount(int periodAmount)`
  `void`
  `setPeriodMode(int periodMode)`
  `void`
  `setPrice(BigDecimal price)`
  `void`
  `setPricePeriodString(String nil)`
  `void`
  `setPriceString(String String)`
  `void`
  `setProductSpecActivationMode(ProductSpecActivationMode productSpecActivationMode)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ProductOfferingActivationMode

    public ProductOfferingActivationMode()

  - ### ProductOfferingActivationMode

    public ProductOfferingActivationMode(ProductSpecActivationMode productSpecActivationMode, BigDecimal price)

- ## Method Details

  - ### getProductSpecActivationMode

    public ProductSpecActivationMode getProductSpecActivationMode()

  - ### setProductSpecActivationMode

    public void setProductSpecActivationMode(ProductSpecActivationMode productSpecActivationMode)

  - ### getActivationPrice

    public BigDecimal getActivationPrice()

  - ### setActivationPrice

    public void setActivationPrice(BigDecimal activationPrice)

  - ### getPeriodMode

    public int getPeriodMode()

  - ### setPeriodMode

    public void setPeriodMode(int periodMode)

  - ### getPeriodAmount

    public int getPeriodAmount()

  - ### setPeriodAmount

    public void setPeriodAmount(int periodAmount)

  - ### getPrice

    public BigDecimal getPrice()

  - ### setPrice

    public void setPrice(BigDecimal price)

  - ### setPriceString

    public void setPriceString(String String)

  - ### getPriceString

    public String getPriceString()

  - ### getPricePeriodString

    public String getPricePeriodString()

  - ### setPricePeriodString

    public void setPricePeriodString(String nil)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getGuiTitle

    public String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.

  - ### builder

    public static ProductOfferingActivationMode.Builder builder()

  - ### builder

    public static ProductOfferingActivationMode.Builder builder(ProductOfferingActivationMode productOfferingActivationMode)